python-jswebkit_0.0.3-2build1_amd64.deb


Advertisement

Description

python-jswebkit - WebKit/JavaScriptCore Python bindings

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-jswebkit
Package version 0.0.3
Package release 2build1
Package architecture amd64
Package type deb
Installed size 103 B
Download size 23.07 KB
Official Mirror archive.ubuntu.com
python-jswebkit is an cython wrapper for JSContextRef in
pywebkitgtk, which makes it able to call JavaScript functions with
WebKit/JavaScriptCore.

Alternatives

Package Version Architecture Repository
python-jswebkit_0.0.3-2build1_i386.deb 0.0.3 i386 Ubuntu Universe
python-jswebkit - - -

Requires

Name Value
libc6 >= 2.4
libjavascriptcoregtk-1.0-0 >= 1.5.1
python >= 2.7
python << 2.8
python-webkit -
python2.7 -

Provides

Name Value
python2.7-jswebkit -

Download

Type URL
Binary Package python-jswebkit_0.0.3-2build1_amd64.deb
Source Package python-jswebkit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-jswebkit deb package:
    # sudo apt-get install python-jswebkit

Files

Path
/usr/lib/pyshared/python2.7/jswebkit.so
/usr/lib/python2.7/dist-packages/jswebkit.so
/usr/lib/python2.7/dist-packages/python_jswebkit-0.0.3.egg-info
/usr/share/doc/python-jswebkit/changelog.Debian.gz
/usr/share/doc/python-jswebkit/copyright
/usr/share/pyshared/python_jswebkit-0.0.3.egg-info

Changelog

2011-12-31 - Matthias Klose <doko@ubuntu.com>
python-jswebkit (0.0.3-2build1) precise; urgency=low
* Rebuild to drop python2.6 dependencies.
2011-07-26 - Aron Xu <aron@debian.org>
python-jswebkit (0.0.3-2) unstable; urgency=low
* Use my @debian.org address.
* Transition to dh_python2.
* Transistion to Webkit 1.3 (Closes: #635424).
* Use LDFLAGS += -Wl,--as-needed.
* Bump to std-ver 3.9.2.
2010-10-08 - Aron Xu <happyaron.xu@gmail.com>
python-jswebkit (0.0.3-1) unstable; urgency=low
* New upstream release
Fix build error with cython 0.13.
* debian/rules: 
Switch to dh style instead of original cdbs.
* debian/control:
Bump Str-Ver to 3.9.1,
Remove cdbs from Build-Dep.
2010-04-15 - Aron Xu <happyaron.xu@gmail.com>
python-jswebkit (0.0.2-1) unstable; urgency=low
* New upstream release
* Remove debian/dirs to avoid useless directory installation
* debian/copyright: 
add MIT license for upstream changed licensing for several files.
2010-02-02 - Aron Xu <happyaron.xu@gmail.com>
python-jswebkit (0.0.1-2) unstable; urgency=low
* debian/control: Improve long descrption (Closes: #566393)
Correct home page link.
2010-01-02 - Aron Xu <happyaron.xu@gmail.com>
python-jswebkit (0.0.1-1) unstable; urgency=low
* Initial release (Closes: #563367)

See Also

Package Description
python-jujubundlelib_0.4.1-0ubuntu1_all.deb Python 2 library for working with Juju bundles
python-jujuclient_0.50.5-0ubuntu1_all.deb Python API client for Juju (Python 2)
python-junit.xml_1.6-1_all.deb creates JUnit XML test result docs readable by tools such as Jenkins
python-junitxml_0.6-1.1ubuntu1_all.deb PyUnit extension for reporting in JUnit compatible XML
python-jwcrypto_0.2.1-1_all.deb Python implementation of JOSE Web standards
python-kaa-base_0.6.0+svn4596-1_amd64.deb Base Kaa Framework for all Kaa Modules
python-kaa-imlib2_0.2.3+svn4596-2_amd64.deb Imlib2 Wrapper for Python
python-kaa-metadata_0.7.7+svn4596-4_amd64.deb Media Metadata for Python
python-kafka-doc_0.9.3-2_all.deb Pure Python client for Apache Kafka - doc
python-kafka_0.9.3-2_all.deb Pure Python client for Apache Kafka - Python 2.x
python-kajiki_0.5.3-1_all.deb Really fast well-formed xml templates - Python 2.x
python-kdcproxy_0.3.2-1_all.deb Kerberos KDC HTTP proxy WSGI module for python
python-kde4-dev_4.14.2-0ubuntu6_all.deb UIC compiler and SIP files for PyKDE
python-kde4-doc_4.14.2-0ubuntu6_all.deb documentation and examples for PyKDE
python-kde4_4.14.2-0ubuntu6_amd64.deb Python bindings for the KDE Development Platform
Advertisement
Advertisement